#include <iostream>

using namespace std;

int main()
{
    char c1;
    char c2;
    int a1;
    int a2;

    cin>>c1>>c2;
    cin>>a1>>a2;
   if(a1-a2==0 || a1-a2==1)
   {
       for(int i=0;i<a1+a2;i++)
       {
           if(i%2==0)
           {
               cout<<c1;
           }
           else
           {
               cout<<c2;
           }
       }
   }
   else
   {
       if(a2-a1==1)
   {
       for(int i=0;i<a1+a2;i++)
       {
           if(i%2==0)
           {
               cout<<c2;
           }
           else
           {
               cout<<c1;
           }
       }
   }
   else
   {
       cout<<"nemoguce";
   }
   }
    return 0;
}